nodes / config
2 operations.
GET /nodes/{node}/config
ts
proxmox.nodes.$(node).config.$get()Get node configuration options.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
property | acme | acmedomain0 | acmedomain1 | acmedomain2 | acmedomain3 | acmedomain4 | acmedomain5 | ballooning-target | … (4 more) | Return only a specific property from the node configuration. — default "all" |
PUT /nodes/{node}/config
ts
proxmox.nodes.$(node).config.$put()Set node configuration options.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
acme | string | Node specific ACME settings. | |
acmedomain0…acmedomain5 | string | ACME domain and validation plugin | |
ballooning-target | number | RAM usage target for ballooning (in percent of total memory) — min 0, max 100, default 80 | |
delete | string | A list of settings you want to delete. — format pve-configid-list | |
description | string | Description for the Node. Shown in the web-interface node notes panel. This is saved as comment inside the configuration file. — ≤ 65536 chars | |
digest | string | Prevent changes if current configuration file has different SHA1 digest. This can be used to prevent concurrent modifications. — ≤ 40 chars | |
location | string | The location of the node. Overrides the default from the datacenter config. — format pve-node-location | |
node | string | yes | The cluster node name. — format pve-node |
startall-onboot-delay | number | Initial delay in seconds, before starting all the Virtual Guests with on-boot enabled. — min 0, max 300, default 0 | |
wakeonlan | string | Node specific wake on LAN settings. |